%define anolis_release 1
%global pypi_name bitarray
%global pypi_version 2.9.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        efficient arrays of booleans -- C extension

License:        PSF
URL:            https://github.com/ilanschnell/bitarray
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description

The bitarray library is a Python library that provides an efficient way to handle 
arrays of booleans. It offers functionality similar to Python lists, but optimized 
for boolean values. The library stores eight bits in one byte and allows the user 
to choose between little-endian and big-endian representations. All operations are 
implemented in C for performance. The library supports various operations, including 
slicing, bitwise operations, and fast encoding and decoding of variable bit length 
prefix codes. It also provides utility functions for conversion, serialization, 
and compression, among others. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The bitarray library is a Python library that provides an efficient way to handle 
arrays of booleans. It offers functionality similar to Python lists, but optimized 
for boolean values. The library stores eight bits in one byte and allows the user 
to choose between little-endian and big-endian representations. All operations are 
implemented in C for performance. The library supports various operations, including 
slicing, bitwise operations, and fast encoding and decoding of variable bit length 
prefix codes. It also provides utility functions for conversion, serialization, 
and compression, among others. 


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.9.2-1
- Initial package.
